Skip to Content
SeyloDocs
API referenceApprovals

Approve and run an action

POST
/api/v1/approvals.approve

Approves a pending approval and runs its op at once as the approving person, with their permissions; FORBIDDEN if they could not run it themselves. Returns the approval with status executed or failed.

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
approvalId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
opId*string
opSummary*string
opKind*string|string
inputPreview*unknown
via*string|string
requestedBy*
reason*string
target*|null
status*string|string|string|string|string|string
decidedBy*|null
decidedAt*|null
error*string|null
expiresAt*string
Formatdate-time
createdAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/approvals.approve' \  -H 'Content-Type: application/json' \  -d '{  "approvalId": "string"}'
Example Response
{  "id": "string",  "opId": "string",  "opSummary": "string",  "opKind": "mutation",  "inputPreview": null,  "via": "mcp",  "requestedBy": {    "userId": "string",    "userName": "string",    "clientName": "string"  },  "reason": "string",  "target": {    "type": "project",    "id": "string",    "name": "string"  },  "status": "pending",  "decidedBy": {    "id": "string",    "name": "string"  },  "decidedAt": "2019-08-24T14:15:22Z",  "error": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z"}